Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.omg.CORBA
Class ArrayDefPOATie

    java.lang.Object
      |
      +--org.omg.PortableServer.Servant
            |
            +--org.omg.CORBA.ArrayDefPOA
                  |
                  +--org.omg.CORBA.ArrayDefPOATie

All Implemented Interfaces:
  ArrayDefOperations, IDLTypeOperations, InvokeHandler, IRObjectOperations

public class ArrayDefPOATie
extends ArrayDefPOA

An ArrayDef represents an IDL array type. As array types are anonymous, this interface is not derived from TypedefDef or Contained.

Constructor Summary
`ArrayDefPOATie(ArrayDefOperations tieObject)` Constructor
`ArrayDefPOATie(ArrayDefOperations tieObject, POA poa)` Constructor

Method Summary
`POA` | `_default_POA()` _default_POA method
`ArrayDefOperations` | `_delegate()` Get the delegate
`void` | `_delegate(ArrayDefOperations delegate_)` Set the delegate
`DefinitionKind` | `def_kind()` Read accessor for def_kind attribute
`void` | `destroy()` Operation destroy
`IDLType` | `element_type_def()` Read accessor for element_type_def attribute
`void` | `element_type_def(IDLType value)` Write accessor for element_type_def attribute
`TypeCode` | `element_type()` Read accessor for element_type attribute
`int` | `length()` Read accessor for length attribute
`void` | `length(int value)` Write accessor for length attribute
`TypeCode` | `type()` Read accessor for type attribute

Methods inherited from class org.omg.CORBA.ArrayDefPOA
`_all_interfaces, _invoke, _this, _this`

Methods inherited from class org.omg.PortableServer.Servant
`_get_delegate, _get_interface_def, _get_interface, _is_a, _non_existent, _object_id, _orb, _orb, _poa, _set_delegate, _this_object, _this_object`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArrayDefPOATie

    public ArrayDefPOATie(ArrayDefOperations tieObject)

  Constructor

### ArrayDefPOATie

    public ArrayDefPOATie(ArrayDefOperations tieObject,
                          POA poa)

  Constructor

Method Detail

### _delegate

    public ArrayDefOperations _delegate()

  Get the delegate

### _delegate

    public void _delegate(ArrayDefOperations delegate_)

  Set the delegate

### _default_POA

    public POA _default_POA()

  _default_POA method
  Overrides:
    `_default_POA` in class `Servant`

### length

    public int length()

  Read accessor for length attribute

### length

    public void length(int value)

  Write accessor for length attribute

### element_type

    public TypeCode element_type()

  Read accessor for element_type attribute

### element_type_def

    public IDLType element_type_def()

  Read accessor for element_type_def attribute

### element_type_def

    public void element_type_def(IDLType value)

  Write accessor for element_type_def attribute

### type

    public TypeCode type()

  Read accessor for type attribute

### def_kind

    public DefinitionKind def_kind()

  Read accessor for def_kind attribute

### destroy

    public void destroy()

  Operation destroy

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD